//-----------------------------------------------
//API for TUSB-INS8/8 Driver
//Visual C++ Module
//
//Feb. 3 2014
//Copyright (C) 2014 Turtle Industry Co.,Ltd.
//'-----------------------------------------------

#ifndef TUSBINSO_h
#define TUSBINSO_h

using namespace System;
using namespace System::Runtime::InteropServices;

[DllImport("TUSBINS8.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbins88_Device_Open(short id);
[DllImport("TUSBINS8.DLL", CallingConvention = CallingConvention::Cdecl)]
extern void Tusbins88_Device_Close(short id);
[DllImport("TUSBINS8.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbins88_Write(short id, unsigned char dat);
[DllImport("TUSBINS8.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbins88_Read(short id, unsigned char *dat);
[DllImport("TUSBINS8.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbins88_EdgeSet(short id, unsigned char dat, unsigned char time);
[DllImport("TUSBINS8.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbins88_EdgeRead(short id, unsigned char *dat);

static String^ Tusbins88_GetOpenErrMessage(short retcode)
{
    switch (retcode)
    {
        case 0:
            return "I܂";
        case 1:
            return "IDԍsł";
        case 3:
            return "łɃfoCX̓I[vĂ܂";
        case 4:
            return "ڑĂ䐔܂";
        case 5:
            return "I[vł܂ł";
        case 6:
            return "foCX݂܂";
        default:
            return "sȃG[ł";
    }
}

static String^ Tusbins88_GetErrMessage(short retcode)
{
    switch (retcode)
    {
        case 0:
            return "I܂";
        case 1:
            return "̃foCX̓I[vĂ܂";
        case 2:
            return "s܂";
        default:
            return "sȃG[ł";
    }
}

#endif
